## com.gargoylesoftware.htmlunit.html
Class XHtmlPage

    java.lang.Object
      com.gargoylesoftware.htmlunit.html.DomNode
          com.gargoylesoftware.htmlunit.SgmlPage
              com.gargoylesoftware.htmlunit.html.HtmlPage
                  com.gargoylesoftware.htmlunit.html.XHtmlPage

All Implemented Interfaces:
  Page, java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Document, org.w3c.dom.Node

    public class XHtmlPage

extends HtmlPage

A representation of an XHTML page returned from a server.

Version:
  $Revision: 4563 $
Author:
  Daniel Gredler
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.gargoylesoftware.htmlunit.html.DomNode
`DomNode.ChildIterator, DomNode.DescendantElementsIterator`

Field Summary

Fields inherited from class com.gargoylesoftware.htmlunit.html.DomNode
`AS_TEXT_BLANK, AS_TEXT_BLOCK_SEPARATOR, AS_TEXT_NEW_LINE, AS_TEXT_TAB, PROPERTY_ELEMENT, READY_STATE_COMPLETE, READY_STATE_INTERACTIVE, READY_STATE_LOADED, READY_STATE_LOADING, READY_STATE_UNINITIALIZED`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`XHtmlPage(java.net.URL originatingUrl, WebResponse webResponse, WebWindow webWindow)` Creates a new XHTML page instance.

Method Summary
`boolean` `hasCaseSensitiveTagNames()` Returns `true` if this page has case-sensitive tag names, `false` otherwise.

Methods inherited from class com.gargoylesoftware.htmlunit.html.HtmlPage

`addHtmlAttributeChangeListener, adoptNode, checkChildHierarchy, cleanUp, clone, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deregisterFramesIfNeeded, executeJavaScript, executeJavaScriptFunctionIfPossible, executeJavaScriptIfPossible, getAnchorByHref, getAnchorByName, getAnchorByText, getAnchors, getBody, getDocumentElement, getDocumentURI, getDomConfig, getElementByAccessKey, getElementById, getElementByName, getElementsByAccessKey, getElementsByIdAndOrName, getElementsByName, getElementsByTagName, getElementsByTagNameNS, getFirstAnchorByText, getFocusedElement, getFormByName, getForms, getFrameByName, getFrames, getFullyQualifiedUrl, getHtmlElementById, getHtmlElementById, getImplementation, getInputEncoding, getMetaTags, getNamespaces, getOwnerDocument, getPage, getPageEncoding, getResolvedTarget, getSelection, getStrictErrorChecking, getTabbableElementIds, getTabbableElements, getTitleText, getXmlEncoding, getXmlStandalone, getXmlVersion, importNode, initialize, isBeingParsed, isOnbeforeunloadAccepted, pressAccessKey, refresh, removeHtmlAttributeChangeListener, renameNode, save, setDocumentType, setDocumentURI, setFocusedElement, setFocusedElement, setStrictErrorChecking, setTitleText, setXmlStandalone, setXmlVersion, tabToNextElement, tabToPreviousElement, toString, writeInParsedStream`

Methods inherited from class com.gargoylesoftware.htmlunit.SgmlPage
`asXml, createDomDocumentFragment, getDoctype, getEnclosingWindow, getNodeName, getNodeType, getWebClient, getWebResponse, normalizeDocument, setEnclosingWindow`

Methods inherited from class com.gargoylesoftware.htmlunit.html.DomNode

`addDomChangeListener, appendChild, asText, compareDocumentPosition, fireNodeAdded, fireNodeDeleted, getAllHtmlChildElements, getAncestors, getAttributes, getBaseURI, getByXPath, getCanonicalXPath, getChildNodes, getChildren, getEndColumnNumber, getEndLineNumber, getFeature, getFirstByXPath, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getParentNode, getPrefix, getPreviousSibling, getReadyState, getScriptObject, getStartColumnNumber, getStartLineNumber, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, insertBefore, isAncestorOf, isBlock, isDefaultNamespace, isDisplayed, isEqualNode, isSameNode, isSupported, isTrimmedText, lookupNamespaceURI, lookupPrefix, normalize, notifyIncorrectness, onAddedToPage, onAllChildrenAddedToPage, printChildrenAsXml, printXml, remove, removeAllChildren, removeChild, removeDomChangeListener, replace, replaceChild, selectNodes, selectSingleNode, setNextSibling, setNodeValue, setParentNode, setPrefix, setPreviousSibling, setReadyState, setScriptObject, setTextContent, setUserData`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node

`appendChild, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### XHtmlPage

    public XHtmlPage(java.net.URL originatingUrl,
                     WebResponse webResponse,
                     WebWindow webWindow)

  Creates a new XHTML page instance. An XHTML page instance is normally retrieved with `WebClient.getPage(String)`.

  Parameters:
    `originatingUrl` - the URL that was used to load this page
    `webResponse` - the web response that was used to create this page
    `webWindow` - the window that this page is being loaded into

Method Detail

### hasCaseSensitiveTagNames

    public boolean hasCaseSensitiveTagNames()

  Returns `true` if this page has case-sensitive tag names, `false` otherwise. In general, XML has case-sensitive tag names, and HTML doesn't. This is especially important during XPath matching.

  Overrides:
    `hasCaseSensitiveTagNames` in class `HtmlPage`
  Returns:
    `true` if this page has case-sensitive tag names, `false` otherwise

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.